using System.ComponentModel;
using System.Drawing;

namespace FastReport.Dialog
{
    partial class TreeViewControl
    {
        #region Properties
        /// <summary>
        /// This property is not relevant to this class.
        /// </summary>
        [Browsable(false)]
        public override string Text
        {
            get { return base.Text; }
            set { base.Text = value; }
        }

        #endregion

        #region Protected Methods
        /// <inheritdoc/>
        protected override bool ShouldSerializeBackColor()
        {
            return BackColor != SystemColors.Window;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeForeColor()
        {
            return ForeColor != SystemColors.WindowText;
        }
        #endregion

    }
}
